Get specify fulfillment order
GET https://{handle}.myshopline.com/admin/openapi/v20261201/fulfillment_orders/:order_id/:fulfillment_order_id.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Get specify fulfillment order
Path Parameters
- fulfillment_order_id string requiredPerformance order idExample:
"4005740193290131085320" - order_id string requiredOrder idExample:
"21057401932826316666967110"
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
fulfillment_orderobject
Order detailsmerchant_requestsobject[]
Request shipping information listkind stringRequest type : 1 fulfillment_request 2 cancellation_requestExample:"fulfillment_request"message stringNotes for the shipping applicationExample:"rose"notify_customer booleanNotify customers whether or notsend_at stringRequest timeExample:2021-08-04T23:59:59+08:00request_status stringRequest status, including: accepted, cancellation_accepted, cancellation_rejected, cancellation_Requested, closed, rejected, submitted, unsubmittedExample:"submitted"assigned_locationobject
Location details assignedcountry_code stringCountry codeExample:"US"zip stringLocation zip codeExample:"40202"city stringCityExample:"Louisville"country stringCountryExample:"United States"name stringLocation nameExample:"Apple Api Shipwire"phone stringLocation phone numberExample:"+1(502)-459-3417"location_id stringLocation idExample:"5327026538935748524"province stringLocal provinceExample:"Kentucky"address2 stringAddress 2Example:"Chestnut Street 92"address1 stringAddress 1Example:"Chestnut Street 92"id stringPerformance order idExample:"4005740193290131085320"assigned_location_id stringAssigned location idExample:"5327026538935748524"shop_id stringstore IDExample:"1644828244663"status stringMap order status , including : open , in_progress , cmos ed , cancelled , incomplete , on_hold , scheduledExample:"open"supported_actions arrayOperation supported by the appointment order includes : create_fulfillment -- created delivery , move -- moved to a new location , hold -- suspended delivery , release_hold -- ( after pause ) started deliveryExample:["[\"create_fulfillment\"]"]fulfillment_holdsobject[]
Pause informationreason stringPause causeExample:"out of stock"reason_note stringPause notesExample:"customer require"line_itemsobject[]
Product line informationfulfillment_order_id stringPerformance order idExample:"4005740193290131085320"id stringPerformance order Product line idExample:"1039283"harmonized_system_code stringCustoms codeExample:"121"line_item_id stringProduct row idExample:"518995019"country_code_of_origin stringCountry code of origin/shipping pointExample:"US"fulfillable_quantity longAvailable in approximately Product quantitiesExample:1shop_id stringstore IDExample:"1644828244663"quantity longOrder Product line Product quantityExample:1variant_id stringProduct skuExample:"18055128824718541486811487"order_id stringOrder idExample:"21057401932826316666967110"delivery_methodobject
Express order logistics methodmin_delivery_date_time stringEarliest available delivery timeExample:2021-08-04T23:59:59+08:00max_delivery_date_time stringLatest delivery timeExample:2021-08-04T23:59:59+08:00method_type stringDelivery method typeExample:shippingdestinationobject
Consignee informationcompany stringConsignee companyExample:"Apple inc"phone stringConsignee phone numberExample:"+1(502)-459-2181"country_code stringCountry codeExample:"US"first_name stringConsignee nameExample:"Bob"name stringCustomer nameExample:"Bob Norman"address2 stringConsignee address 2Example:"Chestnut Street 92"province_code stringThe IOS 3166-2 code of state or provinceExample:"KY"zip stringConsignee address zipExample:"40202"city stringConsignee cityExample:"Louisville"province stringConsignee provinceExample:"Kentucky"address1 stringConsignee address 1Example:"Chestnut Street 92"delivery_store_code stringLocal delivery store id, provided only for local deliveryExample:"A121"email stringConsignee mailboxExample:"bob.norman@mail.example.com"delivery_store_name stringLocal delivery store name, provided only for local deliveryExample:"Xa Shop"country stringConsignee countryExample:"United States"last_name stringConsignee last nameExample:"Norman"
API Explorer
Debugger
Was this article helpful to you?